Bug 1793507 - qpid-dispatch fails to build with gcc 10: multiple definition of `qd_amqp_type_t' and many others
Summary: qpid-dispatch fails to build with gcc 10: multiple definition of `qd_amqp_typ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qpid-dispatch
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Irina Boverman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39 GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-21 13:49 UTC by Miro Hrončok
Modified: 2020-03-02 14:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-02 14:49:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-01-21 13:49:50 UTC
qpid-dispatch fails to build with gcc 10:

...
/usr/bin/ld: CMakeFiles/qpid-dispatch.dir/router_node.c.o:/builddir/build/BUILD/qpid-dispatch-1.9.0/include/qpid/dispatch/amqp.h:105: multiple definition of `qd_amqp_type_t'; CMakeFiles/qpid-dispatch.dir/amqp.c.o:/builddir/build/BUILD/qpid-dispatch-1.9.0/include/qpid/dispatch/amqp.h:105: first defined here
/usr/bin/ld: CMakeFiles/qpid-dispatch.dir/router_pynode.c.o:/builddir/build/BUILD/qpid-dispatch-1.9.0/include/qpid/dispatch/amqp.h:105: multiple definition of `qd_amqp_type_t'; CMakeFiles/qpid-dispatch.dir/amqp.c.o:/builddir/build/BUILD/qpid-dispatch-1.9.0/include/qpid/dispatch/amqp.h:105: first defined here
/usr/bin/ld: CMakeFiles/qpid-dispatch.dir/server.c.o:/builddir/build/BUILD/qpid-dispatch-1.9.0/include/qpid/dispatch/amqp.h:105: multiple definition of `qd_amqp_type_t'; CMakeFiles/qpid-dispatch.dir/amqp.c.o:/builddir/build/BUILD/qpid-dispatch-1.9.0/include/qpid/dispatch/amqp.h:105: first defined here
/usr/bin/ld: CMakeFiles/qpid-dispatch.dir/timer.c.o:/builddir/build/BUILD/qpid-dispatch-1.9.0/include/qpid/dispatch/amqp.h:105: multiple definition of `qd_amqp_type_t'; CMakeFiles/qpid-dispatch.dir/amqp.c.o:/builddir/build/BUILD/qpid-dispatch-1.9.0/include/qpid/dispatch/amqp.h:105: first defined here
/usr/bin/ld: CMakeFiles/qpid-dispatch.dir/http-libwebsockets.c.o:/builddir/build/BUILD/qpid-dispatch-1.9.0/include/qpid/dispatch/amqp.h:105: multiple definition of `qd_amqp_type_t'; CMakeFiles/qpid-dispatch.dir/amqp.c.o:/builddir/build/BUILD/qpid-dispatch-1.9.0/include/qpid/dispatch/amqp.h:105: first defined here
...


This blocks the Python 3.9 rebuild of the package.

See https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/RYVPP45PMWPXYBBDKXO3CI7YGL7CDQG6/ and https://gcc.gnu.org/gcc-10/porting_to.html#common for more information about the failure.

Comment 1 Ben Cotton 2020-02-11 17:31:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Fedora Release Engineering 2020-02-16 04:26:12 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 3 Fedora Release Engineering 2020-03-01 04:26:04 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 4 Irina Boverman 2020-03-02 14:49:46 UTC
 qpid-dispatch-1.10.0-1.fc32 was built successfully on Feb. 5, 2020.


Note You need to log in before you can comment on or make changes to this bug.